Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Thread: Cannot update UBUNTU 12.04.02 AMD64

  1. #1
    Join Date
    Apr 2013
    Beans
    8

    Cannot update UBUNTU 12.04.02 AMD64

    HELP. HELP. I have installed Ubuntu 12.04.02 AMD64 but cannot upgrade or install any package. The Software center is aslo not working and seems to hang on "Waiting jockey-backend to complete". I have been using various linux distros for quite some time but this is first time that i encontered this message. One thing has changed. I am connecting to internet through proxy server.

    HELP. HELP. URGENT.

  2. #2
    Join Date
    Apr 2013
    Beans
    8

    Problem with 'sudo apt-get update'

    I tried "sudo apt-get update" but got message "
    raja@raja-Veriton-X2610G:~$ sudo apt-get update
    [sudo] password for raja:
    E: Could not get lock /var/lib/apt/lists/lock - open (11: Resource temporarily unavailable)
    E: Unable to lock directory /var/lib/apt/lists/
    help needed.

  3. #3
    Join Date
    Apr 2013
    Beans
    8

    Re: Cannot update UBUNTU 12.04.02 AMD64

    I tried "sudo apt-get update" but got message "
    raja@raja-Veriton-X2610G:~$ sudo apt-get update
    [sudo] password for raja:
    E: Could not get lock /var/lib/apt/lists/lock - open (11: Resource temporarily unavailable)
    E: Unable to lock directory /var/lib/apt/lists/
    help needed.

  4. #4
    Join Date
    Jun 2007
    Location
    K-o-T,
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: Cannot update UBUNTU 12.04.02 AMD64

    Quote Originally Posted by Gakhar View Post
    I tried "sudo apt-get update" but got message "
    raja@raja-Veriton-X2610G:~$ sudo apt-get update
    [sudo] password for raja:
    E: Could not get lock /var/lib/apt/lists/lock - open (11: Resource temporarily unavailable)
    E: Unable to lock directory /var/lib/apt/lists/
    help needed.
    That usually means you have more than one package manager open.

    Close all package managers,Software Updater,etc or reboot and then run
    Code:
    sudo apt-get update
    and see if you get the same problem.

    If you do , then you can run from a terminal
    Code:
    sudo rm /var/lib/apt/lists/lock
    to delete the lock file and then run
    Code:
    sudo apt-get update
    and see if it now works.

    Good Luck
    Hypertension = Take with a pinch of salt
    | Psychocats | Ubuntu Documentation | Howto [Solved] | BBcode list | Brother Website |

  5. #5
    Join Date
    Feb 2008
    Location
    Oblivion
    Beans
    Hidden!
    Distro
    Xubuntu

    Re: Problem with 'sudo apt-get update'

    @ Gakhar: To improve your chances of help I have moved your post to its own thread. Please post new threads with a descriptive title and outline your problem rather than hijack another, existing thread (with a title and topic that have nothing to do with your problem).

  6. #6
    ibjsb4 is offline Ubuntu addict and loving it
    Join Date
    Sep 2012
    Beans
    4,996

    Re: Problem with 'sudo apt-get update'

    This usually means that you have more than one package manager open. Like maybe the software center when you tried apt-get. Only one can be open at a time.

    If this is not the case you can manually remove the lock.

    Code:
    sudo rm /var/lib/apt/lists/lock
    And welcome to the forums

  7. #7
    Join Date
    Apr 2013
    Beans
    8

    Cannot update UBUNTU 12.04.02 AMD64

    I have installed Ubuntu 12.04.02 64-bit. I am connected to internet through a proxy server. I am so far unable to update the operating system, either through command line or through the software center.

    when i issue command:

    > sudo apt-get update
    I get many messages like shown below.

    W: Failed to fetch http://pk.archive.ubuntu.com/ubuntu/...-i386/Packages 407 Proxy Authentication Required

    E: Some index files failed to download. They have been ignored, or old ones used instead.

    Help me in resolving this problem.

    Thanks.

  8. #8
    Join Date
    Jun 2007
    Location
    Porirua, New Zealand
    Beans
    Hidden!
    Distro
    Ubuntu

    Re: Cannot update UBUNTU 12.04.02 AMD64

    @ Gakhar: Please do not start multiple threads, it dilutes the community's ability to help. I have merged your threee threads.
    Forum DOs and DON'Ts
    Please use CODE tags - Including your email address in a post is not recommended
    Never assume that the information provided by Dr Google is up-to-date or relevant.

  9. #9
    Join Date
    Mar 2010
    Location
    India
    Beans
    8,149
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Cannot update UBUNTU 12.04.02 AMD64

    Hello Gakhar,

    I believe you have already solved your 'lock' problem with the previous two advices. For the current one -
    Quote Originally Posted by Gakhar View Post
    W: Failed to fetch http://pk.archive.ubuntu.com/ubuntu/...-i386/Packages 407 Proxy Authentication Required
    .. as the error message suggests, please try a direct connection to avoid proxy authentication, or try changing the server (in Ubuntu Software Center > Edit > Software Sources) from "Pakistan" to "Main Server".
    Varun
    Help others by marking threads as [SOLVED], if they are. (See how)
    Wireless Script | Use Code Tags

  10. #10
    Join Date
    Apr 2013
    Beans
    8

    Re: Cannot update UBUNTU 12.04.02 AMD64

    Thanks. I am new to forums and that's why i may have bungled.

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •